DocMkrTextInternal::Zone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
DocMkrTextInternal::Zone Struct Reference

Internal: structure to store a the data of a DocMkrText Zone. More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
MWAWEntry | m_pos
| the text entry More...
MWAWParagraph::Justification | m_justify
| the paragraph justification More...
MWAWColor | m_backgroundColor
| the background color More...
bool | m_useFooter
| print or ignore the footer More...
int | m_margins [4]
| the margins L,T,R,B in points More...
std::string | m_name
| the name More...
std::map< long, MWAWFont > | m_posFontMap
| the map of id -> font More...
int | m_numPages
| the number of page More...
bool | m_parsed
| a flag to know if we have send the data to the listener More...

## Detailed Description

Internal: structure to store a the data of a DocMkrText Zone.

## Constructor & Destructor Documentation

## ◆ Zone()

DocMkrTextInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor DocMkrTextInternal::Zone::m_backgroundColor

the background color

Referenced by DocMkrText::updatePageSpanList().

## ◆ m_justify

MWAWParagraph::Justification DocMkrTextInternal::Zone::m_justify

the paragraph justification

Referenced by DocMkrText::readWindows(), and DocMkrText::sendText().

## ◆ m_margins

int DocMkrTextInternal::Zone::m_margins[4]

the margins L,T,R,B in points

Referenced by DocMkrText::readWindows(), DocMkrText::sendText(), and DocMkrText::updatePageSpanList().

## ◆ m_name

std::string DocMkrTextInternal::Zone::m_name

the name

## ◆ m_numPages

int DocMkrTextInternal::Zone::m_numPages
| mutable

the number of page

Referenced by DocMkrText::computeNumPages(), and DocMkrText::updatePageSpanList().

## ◆ m_parsed

bool DocMkrTextInternal::Zone::m_parsed
| mutable

a flag to know if we have send the data to the listener

Referenced by DocMkrText::sendMainText(), and DocMkrText::sendText().

## ◆ m_pos

MWAWEntry DocMkrTextInternal::Zone::m_pos

the text entry

Referenced by DocMkrText::computeNumPages(), and DocMkrText::sendText().

## ◆ m_posFontMap

std::map<long, MWAWFont > DocMkrTextInternal::Zone::m_posFontMap

the map of id -> font

Referenced by DocMkrText::readStyles(), and DocMkrText::sendText().

## ◆ m_useFooter

bool DocMkrTextInternal::Zone::m_useFooter

print or ignore the footer

Referenced by DocMkrText::readWindows(), and DocMkrText::updatePageSpanList().

The documentation for this struct was generated from the following file:

- DocMkrText.cxx